Jump to content

Search the Community

Showing results for tags 'layers'.



More search options

  • Search By Tags

    Type tags separated by commas.
  • Search By Author

Content Type


Forums

  • CADTutor
    • News, Announcements & FAQ
    • Feedback
  • AutoCAD
    • AutoCAD Beginners' Area
    • AutoCAD 2D Drafting, Object Properties & Interface
    • AutoCAD Drawing Management & Output
    • AutoCAD 3D Modelling & Rendering
    • AutoCAD Vertical Products
    • AutoCAD LT
    • CAD Management
    • AutoCAD Bugs, Error Messages & Quirks
    • AutoCAD General
    • AutoCAD Blogs
  • AutoCAD Customization
    • The CUI, Hatches, Linetypes, Scripts & Macros
    • AutoLISP, Visual LISP & DCL
    • .NET, ObjectARX & VBA
    • Application Beta Testing
    • Application Archive
  • Other Autodesk Products
    • Autodesk 3ds Max
    • Autodesk Revit
    • Autodesk Inventor
    • Autodesk Software General
  • Other CAD Products
    • BricsCAD
    • SketchUp
    • Rhino
    • SolidWorks
    • MicroStation
    • Design Software
    • Catch All
  • Resources
    • Tutorials & Tips'n'Tricks
    • AutoCAD Museum
    • Blocks, Images, Models & Materials
    • Useful Links
  • Community
    • Introduce Yourself
    • Showcase
    • Work In Progress
    • Jobs & Training
    • Chat
    • Competitions

Find results in...

Find results that contain...


Date Created

  • Start

    End


Last Updated

  • Start

    End


Filter by number of...

Found 81 results

  1. Good morning, Hello, this is probably a very easy answer (newbie and all, bear with me please) but, I received a drawing from another office and, upon opening in my 2018 CAD, the layers showing the door and window sizes appears to lose whatever reference or standard that is attached. I'm not actually sure how to properly describe the issue, frankly. The architect whose drawing it is, mentioned that perhaps it was an issue with the dynamic tags they use for window and door sizes on drawings. I've included a photo screen shot for reference (hopefully it's posted correctly). What can I do? Do I need to request a supporting document? Thanks!
  2. Hi! Sorry if this is a really dumb or basic question. New (again) to AutoCAD -haven't used since 2006 so I am very rusty. Problem here is something I am sure is pretty simple to fix but I can't figure this out. I have two dwg's from both the architect and the designer. When I open either of the files I get a Proxy Information alert about an unavailable ObjectARX application. Then it alerts me that one or more reference files could not be located or read. If I try to open the External References palette, I get unreconciled new layers. When I am finally in the dwg, I can't access the lines to modify any of them. The only accessible layer seems to be the architect's and the designer's masthead layers. All other layers seem to be locked but I have tried doing everything from auditing and purging, I made sure Layer 0 was not frozen or locked, I have unlocked and thawed every layer but nothing allows me access to either drawings layers other than their mastheads. What simple thing am I missing to access the other layers in these files? Thanks for any input!!! My boss wants some changes made to these drawings for Monday to submit back to the architect and I'm not a designer anymore and my autocad knowledge is pretty bad now
  3. Print_Master

    Can't remove "Defpoints" Layer

    The drawing that I am working on only consist of one machine on "Zero" Layer. I am trying to get the drawing to only have one layer (Layer 0). I was able to remove all the other layers , but I am having trouble finding a way to remove "defpoint" layer:(. Does anyone know how to remove a "defpoint" layer from a drawing? Thank you to all that helps.
  4. hello guys !! im trying to import Points from Leica device and i want to creat a layer for each Point depending on its code ,if anyone have ideas how to do it i will be thanksfull best regards !!!
  5. I used to have this really handy lisp but have switched companies and forgot to bring it with me. The command was LPO and it would turn every off layer on, even xref, and I would be able to individually click the layers that I wanted to remain on. After clicking enter, the other layers would return to the off state. One of the most useful routines I have ever seen. I have very basic knowledge of lisp around would really appreciate some help. I also did a search and couldn't find anything similar. Thanks in advanced.
  6. Hello, I'm very new to LISP and wanted a hand with writing a simple script to copy a line and change the layer to a specific layer. It going from Layer "50" to "TRAV" and I wanted this changed line copied on to of itself. I have a pretty good understanding of TCL as I have written in that when using Surpac but I'm at a new job now and trying to educate myself with a few basic but useful scripts. Any help will be great.
  7. Hello I am trying to understand the logic behind the display of 2D solid surfaces in autocad 2000. if you have a same area covered by different 2d surfaces in different layers with different colour which layer or surface hides what surface or layer. Does it depend on the order they are created, does it depend on the colour , is there a method to make one layer cover another. All layers must be on. And what about lines that cross these surfaces , some times they show and some times they don't. Is there a logic behind this? Thanks in advance for your answers
  8. Hi, I have my xref-drawings with many layouts with even more viewports. In all these viewports i wanna show different kind of information and therefore i have to freeze some of the them, depending of what i want to show ofc. Now i just realized i have to change all my layer names from the orginal drawing, and when i do that all the freezed layers unfreezes in my xref viewports. for ex. All my layers starting with B_..... and now i wanna change that to X_... but i still wanna keep the layers frozen/unfrozen on the particular viewport in my xref-file. I Hope you guys understand what im trying to say and hopefully someone will save me from this ¤!%"&/ :)
  9. There are 2 layers on this sample that QuickSelect says have nothing on them... Yet I cannot delete them. I've WBlocked, purged, dlete from Layer Prop Manager... I have hundreds of these I'm working on! Overall a relative newbie in CAD, not really digging LISP right now... so please try to keep solutions fairly straight forward. Layers are: FX-SGNSYM Bick Thank you half W32.dwg
  10. Hi I've been looking for a LISP that will create a new layer with a given name ("DATA EXTRACTION") every time I open up a dwg (unless that layer already exists) and make that layer current. I have found a couple of similar LISP routines but they don't do just that. Any help much appreciated.
  11. DesmetMartin

    Layer Lisp Question

    I have a Lisp from Lee Mac which I would like to be modified. I would like to have a setting that let's you choose which layer it should be on. I have tried to write something myself and only came up with this: ****************************************************************** (setq TASH (getint "\nChoose dimensions layer: Dim. (1), Front view (2)")) ); end while ); progn );TASH = 1, Dim (if (= TASH 1 ) (progn ; S-Dimensions (command "DIM*" "S-DIMENSIONS" "Dimension Layer" 3 "Continuous" -3 1 nil ) ); progn ); if (= TAMR 1) ****************************************************************** and: ****************************************************************** (defun CommandReactor:CommandWillStart (rea cmd) (if (wcmatch (strcase (car cmd)) "*DIM*") (progn (setq *OldClayer* (getvar 'clayer)) (vla-add (vla-get-layers (vla-get-activedocument (vlax-get-acad-object))) (setq TASH (getint "\nChoose dimensions layer: Dim. (1), Front view (2)")) ); end while (setvar 'clayer layerName) ) ) ) ****************************************************************** But I don't know were to put it in the existing lips from Lee Mac. Can anyone help? The lisp from Lee Mac is now; ****************************************************************** http://lee-mac.com/lisp/html/LayerDirectorV1-4.html ****************************************************************** Thanks!! Ps. Check out Lee Mac's lisps!
  12. Hello All, I have looked around a little bit and haven't been able to find the answer I am looking for. I know commands like LAYTHW AND LAYON. I also used the info from "Michael's Corner" latest post. Everything is turned on and everything is thawed. However, it does not thaw layers that are labeled as VP Freeze. Instead of going to the layer properties manager, select all, and thawing the layers that are frozen in the view port freeze, is there a way to thaw all of them with a simple command or a button that is already created or one that I can make in the CUI? As always, any and all comments are appreciated. I have a feeling ReMark, BlackBox, BIGAL may have some insight in to this, or at least point me in the right direction.
  13. I have this routine (unknown to the author). Thank you for your help with the following change: Export the list of layers but only on a selection. (defun c:LL2T ( / oecho clrlst dwgnm fn fh lyr lyrlst) (defun chkbit (bit_val num) (not (zerop (logand bit_val num))) ) (setq oecho (getvar "cmdecho") clrlst (list (cons 1 "RED") (cons 2 "YELLOW") (cons 3 "GREEN") (cons 4 "CYAN") (cons 5 "BLUE") (cons 6 "MAGENTA") (cons 7 "WHITE") ) dwgnm (getvar "dwgname") ) (setvar "cmdecho" 0) (setq fn (getfiled " File name: " (strcat dwgnm ".LS") "LS" (+ 1 2)) ) (while (setq lyr (tblnext "layer" (not lyr))) (setq lyrlst (cons (cdr (assoc 2 lyr)) lyrlst)) ) (setq lyrlst (acad_strlsort lyrlst)) (princ "\nWriting layer data to file...") (setq fh (open fn "w")) (princ (strcat dwgnm ".DWG\n") fh) (foreach x lyrlst (setq lyr (tblsearch "layer" x) lyrname (cdr (assoc 2 lyr)) lyrclr (cdr (assoc 62 lyr)) lyrlt (cdr (assoc 6 lyr)) frzn? (chkbit 1 (cdr (assoc 70 lyr))) lokd? (chkbit 4 (cdr (assoc 70 lyr))) ) (if (minusp lyrclr) (setq on? "OFF" lyrclr (abs lyrclr) ) (setq on? "ON") ) (if (assoc lyrclr clrlst) (setq lyrclr (cdr (assoc lyrclr clrlst))) ) (if frzn? (setq frzn? "FROZEN") (setq frzn? "THAWED") ) (if lokd? (setq lokd? "LOCKED") (setq lokd? "UNLOCKED") ) (princ lyrname fh) ;;(princ "," fh) ;;(princ lyrclr fh) ;;(princ "," fh) ;;(princ lyrlt fh) ;;(princ "," fh) ;;(princ on? fh) ;;(princ "," fh) ;;(princ frzn? fh) ;;(princ "," fh) ;;(princ lokd? fh) (princ "\n" fh) ) (princ "done.") (close fh) (setvar "cmdecho" oecho) (princ) )
  14. Ryan Lindsey

    Export Drawing Layer Properties

    I'm looking for a simple way to export layer settings from one drawing to another. I know that you can export styles by right-clicking them in the styles editor but when I get down to layers it will only let me do them one-by-one. Is there an easier way? Is there a way to export ALL styles as one .styxml file? Or, as an alternative, is there a way to change the default ANSI layer properties? Any response is greatly appreciated!
  15. Hello I'm new to CAD and have set up a few different wall styles (stud, block etc..) Does anyone know of a way to when you select the stud wall style to automatically place that on a stud layer? I have tried to search for an answer but I'm unsure of what to search. Thanks in advance. Andrew
  16. Hola! Sorry if I'm posting this in the wrong place... I did search for this before posting, but didn't see anything relevant. First of all, I'm an AutoCAD guy. I only know enough about Inventor to be very dangerous. At the company I work for (manufacturing) the Design team (me) uses AutoCAD to create our space planning blocks. This is pre-sale activity. The Engineers model everything (post sales) in Inventor. Occasionally I will be asked to draw something that is "just like that other thing we did," so I will open up Engineering's model of that thing and export to DWG to use from there. For rendering and quoting we use a 3rd party software that manages information via layers. For example, a work surface face is on a specific layer, the edge is on a specific layer, the powdered components are on a specific layer, etc, etc... When I export from Inventor, the DWG file is VERY detailed, down to the screws, but everything is on the "0" layer. This really sucks because I have to spend a ton of time dissecting the block in order to assign the correct layer information to every bit of geometry. I noticed the other day though, that when I switched to a realistic or conceptual visual style, the freshly exported Inventor block retained all the sweet info... like it was showing details down to the grain direction of the surface. My question to you guys, is if you know of an easy way to get that info converted to layer? Whether that be in CAD after I export or from within Inventor in my export. Ideally there's already an LSP or something similar that can do this in a button press.
  17. I have been designing for 18 years and am tired of wasting time when importing surveys into my drawings. I have my own layer system for my home plans, and only use about 20 layers total. I like my drawings clean and simple. When a surveyor sends me the survey, their CAD file has about 50 layers, none of which I want or need. So what I have been doing for many years is spending about 30 minutes changing everything on the survey to layer 0 and then copy/pasting the survey into my drawing. The problem is, some of the surveyor's stuff is in blocks, so I also have to explode the block in order to change all the elements to layer 0. I would love to know if there is a simpler method to all this. I really don't like having 50+ layers in my drawings. I can consolidate everything on a survey into about 5 layers that I use (natural features, boundary and easement lines, buildings, flatwork, text, etc). Thank you for your help.
  18. I am trying to assemble a few components. I'm drawing on a 2D Wireframe, and mounting some components on top of rails. See picture below Now, the red crossbars are at the back, with the white rails on top of them. The electrical blocks (blue w/ yellow text and red wiring) should be mounted on the (white) rails. I want to hide the rail sections that are behind the electrical blocks, and hide all the crossbars that are behind a block or a rail. How do I do this? Ordering? Transparency? I have everything in different Layers currently, but I can change the Layering however I like
  19. Hello All, I work with projects that require several layers. I was wondering if anyone knows of a way to automatically create x number of layers with names like "name_1," "name_2," "name_..." "name_n-1," "name_n" without having to manually input each layer's name. Furthermore, I need each layer to have a different color. Again, is there a way to assign different colors automatically without having to go in and do it manually layer by layer? You all have been very helpful so far and I appreciate the time you take to help me become a better CADer. Best Regards, Beef
  20. Hello All, I've seen many posts about this issue and they seem to be resolved easily, but these solutions seem to not apply to my issue. My lineweights are not displaying properly in MS. I have set the layers' lineweights to 0 mm in Layer Properties Manager. I have turned on the Show/Hide Lineweight button. The lines are still showing too thick and this is a problem for me. The Layer Properties Manager is showing that they are indeed set to 0 mm thickness (lineweight), but the drawing is showing otherwise. Any ideas? Solutions? As always, thanks, Beef
  21. Hi, I have a complex drawing (155 layers) of a site, and although I can see all layers in paper space layouts, in model space I can only see the ones I exported as pdf's. I've turned all layers on (hence why I can see them in paper space) but they are still invisible in model space. I need to alter the drawing so this is proving very annoying!!
  22. I m trying to make a selection set using a point and a couple of lines passing through this point (caution, NOT terminating). I want to select lines of specific layers. What I m typing is this (setq pt (getpoint "\nSelect point: ")) (setq ss (ssget pt '((0 . "LINE") (8 . "mylayer")))) Unfortunately this doesn't work. The only way I could find is to use this instead (ssget "C" pt pt '((0 . "LINE") (8 . "mylayer"))) However I do not find that helpful at all. If there is a line at the back on an other elevation, not crossing the initial line, but coincidentally passing 'visually' through this point (pt) the later ssget command will include both and that is not what I want. How could I use a point and filter together? Any help would be appreciated.
  23. When I copy a line or arcs and paste to original coordinates. It seems to have "brought" with it all the extra dimstyle, line style, text styles, layers, etc. of which I cannot purge despite I set all layers to 0, select by layer and standard for text style. I've already purge a few times and set all linetypes to continuous. How do I only have the cleanest possible line or arc in Autocad without all those "extra stuff"? It's driving me nuts!
  24. I am working on a bathroom drawing and have used externals blocks of bathroom fixtures. Some of them will not turn off when I turn the layer off. Any suggestions?
  25. avoc42

    block requirements

    Hi all, I need to accomplish the following: Place a block labelled AB-101 on layout 1 the same block labelled A-101 on layout 2 and the same block labelled B-101 on layout 3. Any suggestions for doing this more efficiently than creating three separate layers, and three separate copies of the block for each layout? Thanks much, Donna
×